Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1047621 - DESCRIPTION= field in diskvolume meta file not being updated
Summary: DESCRIPTION= field in diskvolume meta file not being updated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.3
Hardware: All
OS: Linux
unspecified
low
Target Milestone: m1
: 3.6.0
Assignee: Maor
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-01 06:16 UTC by Blaster
Modified: 2016-05-26 01:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The DESCRIPTION field in the disk's meta data was not updated. Consequence: It's harder to understand which disk is which when looking at the storage. Fix: Update the DESCRIPTION field when changing the disk's alias. Result: The DESCRIPTION field is now corrolated to the disk's alias in the engine DB.
Clone Of:
Environment:
Last Closed: 2015-11-04 13:52:15 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34163 None None None Never
oVirt gerrit 34164 None None None Never

Description Blaster 2014-01-01 06:16:26 UTC
Description of problem:
DESCRIPTION= field int diskvolume meta file not being updated when a virtual disk is created or edited via the ovirt web GUI.


Version-Release number of selected component (if applicable):
3.3.1

How reproducible:

Log into Ovirt web GUI.  create a new disk for a VM, or edit the properties of and existing disk.  Enter data into the Description field.  This data is not being updated in the DESCRIPTION= file of the disk's .meta file

Steps to Reproduce:
1. Add new virtual disk to a data store disk
2. view .meta file of virtual disk in datastore
3. DESCRIPTION= file is emtpy

Actual results:

DESCRIPTION= field int diskvolume meta file not being updated

Expected results:

Should have data entered from Ovirt web GUI.


Additional info:

Comment 1 Allon Mureinik 2014-01-02 14:25:20 UTC
Currently, when updating a disk via the engine, no information is sent to VDSM, so this bug is not just a nit of a field that wasn't updated, but a missing mechanism (albeit a small one).

From how 3.4 currently looks it does not seem we'll get to it, so targeting for 3.5.
In any event, the implementation for this bug and the RFE described in bug 1047623 could probably be done together.

Comment 2 Allon Mureinik 2014-08-07 11:46:39 UTC
Pushing out to 3.6 to be handled with the non-SPM verbs.

Comment 3 Allon Mureinik 2014-12-14 21:12:05 UTC
Updating the description ON THE STORAGE has nothing to do with setting the WAD flag IN THE DATABASE.
I assume setting this one to block the already verified 1070823 is a mistake.

Comment 4 Maor 2015-02-23 08:03:42 UTC
The description field in the diskvolume meta file should be updated when a virtual disk is created or edited via the ovirt web GUI, and contain the disk alias an description.
see [1]

[1]
-bash-4.0$ cat e863a754-ce42-44b2-8fba-838a1bdf0faa/b10551b0-0606-4a78-9a93-d179f8b688cb.meta 

DOMAIN=b829b592-80e9-4439-b3f3-e24f6719b4af
VOLTYPE=LEAF
CTIME=1424606749
FORMAT=RAW
IMAGE=e863a754-ce42-44b2-8fba-838a1bdf0faa
DISKTYPE=2
PUUID=00000000-0000-0000-0000-000000000000
LEGALITY=LEGAL
MTIME=0
POOL_UUID=
DESCRIPTION={"DiskAlias":"some_alias_for_test","DiskDescription":"some Description to test"}
TYPE=SPARSE
SIZE=2097152
EOF

Comment 5 Ori Gofen 2015-04-26 14:19:28 UTC
Verified on 3.6 master

Comment 6 Sandro Bonazzola 2015-11-04 13:52:15 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.